#include "PokemonForme.hpp"
PkmnLib::Library::PokemonForme::PokemonForme(const ArbUt::StringView& name, float height, float weight,
                                             uint32_t baseExperience, const ArbUt::List<uint8_t>& types,
                                             CreatureLib::Library::StatisticSet<uint16_t> baseStats,
                                             const ArbUt::List<ArbUt::StringView>& talents,
                                             const ArbUt::List<ArbUt::StringView>& secretTalents,
                                             const LearnableMoves* moves, std::unordered_set<uint32_t> flags)
    : SpeciesVariant(name, height, weight, baseExperience, types, baseStats, talents, secretTalents, moves,
                     std::move(flags)) {}
